# Generated from transaction_timestamps-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name transaction_timestamps

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Timestamp created_at and updated_at with the database transaction time
License: MIT
URL: https://github.com/coupa/transaction_timestamps
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(combustion) >= 0.5.0
# BuildRequires: rubygem(combustion) < 0.6
# BuildRequires: rubygem(appraisal)
BuildArch: noarch

%description
Keeps the timestamps for all models created or updated in at transaction the
same.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/transaction_timestamps.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.2.0-1
- Initial package
